package com.liquidnet.service.kylin.dto.vo.partner;

import com.liquidnet.service.kylin.dto.vo.middle.KylinBuyNoticeVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class KylinPerformanceMisVo {

    //演出数据
    @ApiModelProperty(value = "主键id")
    private String performancesId;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "开始时间")
    private String timeStart;

    @ApiModelProperty(value = "结束时间")
    private String timeEnd;

    @ApiModelProperty(value = "封面图")
    private String imgPoster;

    @ApiModelProperty(value = "类型")
    private Integer type;

    @ApiModelProperty(value = "场地id")
    private String fieldId;

    @ApiModelProperty(value = "场地名称")
    private String fieldName;

    @ApiModelProperty(value = "价格")
    private String price;

    @ApiModelProperty(value = "停售时间")
    private String stopSellTime;

    @ApiModelProperty(value = "主办方")
    private String sponsor;

    @ApiModelProperty(value = "联系人")
    private String contacts;

    @ApiModelProperty(value = "手机号")
    private String mobile;

    @ApiModelProperty(value = "批文地址")
    private String approvalUrl;

    @ApiModelProperty(value = "演出详情")
    private String details;

    @ApiModelProperty(value = "购票须知")
    private String noticeImage;

    @ApiModelProperty(value = "购票须知数组")
    private List<KylinBuyNoticeVo> noticeImageList;

    @ApiModelProperty(value = "状态")
    private Integer status;

    @ApiModelProperty(value = "拒绝理由")
    private String rejectTxt;

    @ApiModelProperty(value = "是否展示")
    private Integer isShow;

    @ApiModelProperty(value = "是否销售")
    private Integer statusSell;

    @ApiModelProperty(value = "是否分销")
    private Integer isDistribution;

    @ApiModelProperty(value = "是否同步小家伙")
    private Integer syncAgent;

    @ApiModelProperty(value = "-1未提交审核，0提交审核，1审核通过，2审核拒绝")
    private Integer auditStatus;

    @ApiModelProperty(value = "是否实名")
    private Integer isTrueName;

    @ApiModelProperty(value = "限购数量")
    private Integer limitCount;

    @ApiModelProperty(value = "限购数量")
    private String createdAt;

    @ApiModelProperty(value = "限购数量")
    private String updatedAt;

    @ApiModelProperty(value = "权重")
    private Integer sort;

    @ApiModelProperty(value = "权重")
    private String describes;

    @ApiModelProperty(value = "主办方类型")
    private String sponsorType;

    @ApiModelProperty(value = "主办方id")
    private String sponsorId;

    @ApiModelProperty(value = "演出公告")
    private String notice;

    @ApiModelProperty(value = "订单可支付时间")
    private Integer payCountdownMinute;

    @ApiModelProperty(value = "第三方id")
    private String merchantId;

    @ApiModelProperty(value = "巡演id")
    private String roadShowId;

    @ApiModelProperty(value = "搭售id")
    private String projectId;

    @ApiModelProperty(value = "购票须知 Id 数组")
    private List<String> noticeIds;

    //场次数据
    @ApiModelProperty(value = "场次数据")
    private List<TicketTimesTicketCreatePartnerVo> ticketTimes;

}
